This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 43122 - Offer code not pulled in for cross-sell items
Offer code not pulled in for cross-sell items
Status: CLOSED DEFERRED
Product: Red Hat Web Site
Classification: Red Hat
Component: New Store (Show other bugs)
current
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Cameron Prince
wbirkhea
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-31 22:07 EDT by Jay Turner
Modified: 2015-01-07 18:45 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-07 20:59:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jay Turner 2001-05-31 22:07:05 EDT
Description of Problem:
If an offer code is valid for a product which gets added to the cart as a
cross-sell/up-sell, then the offer code will not get applied.

How Reproducible:
Always

Steps to Reproduce:
1. Log into http://www.webqa.redhat.com/cgi-bin/store
2. Place the HA product in your cart
3. Should get offered the Professional product as cross-sell
4. Add it to your cart and you will see that the price is $179.95
5. Continue on to the address verification screen and notice that the offer
   code field is blank

Actual Results:
Get charged $179.95 for the Professional product and the offer code is not
displayed on the address verification screen

Expected Results:
Offer code should appear on the address verification screen and the
customer should get charged only $159.95 for the Professional product.

Additional Information:
Comment 1 Cameron Prince 2001-06-07 20:59:50 EDT
The cross sale item's order links are dynamically generated. The rh_product
table doesn't support offer codes for dynamic generation, nor does the item
editor support it.

In short, offer codes seem to be verified and stored in the database, but all
offer code input is done by the user or hardcoded in the existing store.

We will need to continue to hardcode them or update the IC code and/or the
database structure to better support them.
Comment 2 Jay Turner 2001-09-18 09:31:41 EDT
Closing this out as we did not launch Interchange.

Note You need to log in before you can comment on or make changes to this bug.